Bug 674738 (kamoso) - Review Request: kamoso - Application for taking pictures and videos from a webcam
Summary: Review Request: kamoso - Application for taking pictures and videos from a we...
Keywords:
Status: CLOSED ERRATA
Alias: kamoso
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact: Fedora Extras Quality Assurance
URL: https://projects.kde.org/projects/pla...
Whiteboard:
Depends On: 674730
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-03 05:23 UTC by nucleo
Modified: 2011-12-08 18:19 UTC (History)
7 users (show)

Fixed In Version: kamoso-2.0.2-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-07 04:37:51 UTC
jreznik: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description nucleo 2011-02-03 05:23:03 UTC
Spec URL: 
http://nucleo.fedorapeople.org/pkg-reviews/kamoso/kamoso.spec

SRPM URL:
http://nucleo.fedorapeople.org/pkg-reviews/kamoso/kamoso-2.0-0.1.alpha2.fc15.src.rpm

Description: 
Kamoso is an application to take pictures and videos out of your webcam.

Build in mock:
http://nucleo.fedorapeople.org/pkg-reviews/kamoso/i686/
(qt-gstreamer from bug 674730 is in local repo)


$ rpmlint kamoso-2.0-0.1.alpha2.fc15.src.rpm kamoso-2.0-0.1.alpha2.fc15.i686.rpm kamoso-debuginfo-2.0-0.1.alpha2.fc15.i686.rpm
kamoso.src: W: spelling-error Summary(en_US) webcam -> web cam, web-cam, webcast
kamoso.src: W: spelling-error %description -l en_US webcam -> web cam, web-cam, webcast
kamoso.i686: W: spelling-error Summary(en_US) webcam -> web cam, web-cam, webcast
kamoso.i686: W: spelling-error %description -l en_US webcam -> web cam, web-cam, webcast
kamoso.i686: W: no-manual-page-for-binary kamoso
kamoso.i686: W: no-manual-page-for-binary kamosoPluginTester
3 packages and 0 specfiles checked; 0 errors, 6 warnings.

Comment 1 nucleo 2011-02-03 05:34:34 UTC
kamoso code uses GPLv2+ license but files in plugins/youtube/ uses GPLv3+ so package license tag GPLv3+.

Comment 2 Jason Tibbitts 2011-02-04 03:22:39 UTC
Are you sure about that?  Does the youtube code get compiled into the rest of the application, or is the only GPLv3+ code in the %{_kde4_libdir}/kde4/kipiplugin_youtube.so file?

Comment 3 nucleo 2011-02-04 13:36:33 UTC
I am not sure about license for all package but yes, the only GPLv3+ code in the %{_kde4_libdir}/kde4/kipiplugin_youtube.so file. All other code GPLv2+.

Comment 4 nucleo 2011-02-04 13:56:36 UTC
kipiplugin_youtube.so is a plugin. It is not linked with rest kamoso code.

Comment 5 Jason Tibbitts 2011-02-04 15:19:07 UTC
You should read https://fedoraproject.org/wiki/Packaging/LicensingGuidelines#Multiple_Licensing_Scenarios which tells you how to properly indicate the license in this situation.

Comment 6 nucleo 2011-02-04 19:13:56 UTC
(In reply to comment #5)
> You should read
> https://fedoraproject.org/wiki/Packaging/LicensingGuidelines#Multiple_Licensing_Scenarios
> which tells you how to properly indicate the license in this situation.

> If your package contains files which are under multiple, distinct, and  independent licenses, then the spec must reflect this by using "and"

GPLv2+ and GPLv3+ distinct, and  independent licenses?

Comment 8 nucleo 2011-02-22 03:30:23 UTC
Scratch build for rawhide (qt-gstreamer is in rawhide now):
http://koji.fedoraproject.org/koji/taskinfo?taskID=2856270

Changed BR: kdegraphics-devel to libkipi-devel

http://nucleo.fedorapeople.org/pkg-reviews/kamoso/kamoso.spec
http://nucleo.fedorapeople.org/pkg-reviews/kamoso/kamoso-2.0-0.3.alpha2.fc16.src.rpm

Comment 9 nucleo 2011-02-22 03:31:08 UTC
$ rpmlint kamoso-2.0-0.3.alpha2.fc16.src.rpm kamoso-2.0-0.3.alpha2.fc16.i686.rpm kamoso-2.0-0.3.alpha2.fc16.x86_64.rpm kamoso-debuginfo-2.0-0.3.alpha2.fc16.i686.rpm kamoso-debuginfo-2.0-0.3.alpha2.fc16.x86_64.rpm
kamoso.src: W: spelling-error Summary(en_US) webcam -> web cam, web-cam, webcast
kamoso.src: W: spelling-error %description -l en_US webcam -> web cam, web-cam, webcast
kamoso.i686: W: spelling-error Summary(en_US) webcam -> web cam, web-cam, webcast
kamoso.i686: W: spelling-error %description -l en_US webcam -> web cam, web-cam, webcast
kamoso.i686: W: no-manual-page-for-binary kamoso
kamoso.i686: W: no-manual-page-for-binary kamosoPluginTester
kamoso.x86_64: W: spelling-error Summary(en_US) webcam -> web cam, web-cam, webcast
kamoso.x86_64: W: spelling-error %description -l en_US webcam -> web cam, web-cam, webcast
kamoso.x86_64: W: no-manual-page-for-binary kamoso
kamoso.x86_64: W: no-manual-page-for-binary kamosoPluginTester
5 packages and 0 specfiles checked; 0 errors, 10 warnings.

Comment 11 Jaroslav Reznik 2011-05-19 15:00:12 UTC
Name: ok
Version and release tag: ok, pre-release beta1
Summary: ok
Group: ok
License: ok
URL: not ok - kamoso moved from playground to kdereview, not a blocker, at it's going to move again probably soon, please update it when it hits final place
Sources: ok, md5sum 6aa9b7f24454eee844ceba35ecaa36fc
BRs: ok
Description: ok

Macros usage: ok
Scriptlets: ok, desktop-file-validation, icons, no ldconfig needed

Build: ok, scratch build included, build locally on x86_64

rpmlint kamoso-2.0-0.4.beta1.fc16.src.rpm 
kamoso.src: W: spelling-error Summary(en_US) webcam -> web cam, web-cam, webcast
kamoso.src: W: spelling-error %description -l en_US webcam -> web cam, web-cam, webcast
kamoso.src: W: invalid-url URL: https://projects.kde.org/projects/playground/multimedia/kamoso/ HTTP Error 404: Not Found

> Please check my comment above.

1 packages and 0 specfiles checked; 0 errors, 3 warnings.

rpmlint kamoso-2.0-0.4.beta1.fc14.x86_64.rpm 
kamoso.x86_64: W: spelling-error Summary(en_US) webcam -> web cam, web-cam, webcast
kamoso.x86_64: W: spelling-error %description -l en_US webcam -> web cam, web-cam, webcast
kamoso.x86_64: W: invalid-url URL: https://projects.kde.org/projects/playground/multimedia/kamoso/ HTTP Error 404: Not Found
kamoso.x86_64: W: no-manual-page-for-binary kamoso
kamoso.x86_64: W: no-manual-page-for-binary kamosoPluginTester
1 packages and 0 specfiles checked; 0 errors, 5 warnings.

Comment 12 Jaroslav Reznik 2011-05-19 15:05:44 UTC
Back to licenses - I think the GPLv3 in youtube code is just a mistake - looks like it's the default license for some IDE - even the author is not filled in. Could you ask upstream?

Comment 13 nucleo 2011-05-19 17:05:27 UTC
Stable release available ftp://ftp.kde.org/pub/kde/stable/kamoso/2.0.1/src/kamoso-2.0.1.tar.bz2
Also afiestas going to fix license, so then I can add this pacth to 2.0.1 and change license to GPLv2+.
So URL for now will be https://projects.kde.org/projects/kdereview/kamoso/?

Comment 15 nucleo 2011-05-19 17:41:15 UTC
Or maybe URL should be http://kde-apps.org/content/show.php/Kamoso?content=111750 ?

Comment 16 Scott Williams 2011-05-19 20:55:59 UTC
I recompiled your last source RPM post for x86_64, f15, and looks like it's working just fine here so far.  Installed with no problem and displays web cam input, so it's working on a least a basic level here.

Comment 17 Jaroslav Reznik 2011-05-20 14:21:14 UTC
(In reply to comment #13)
> Stable release available
> ftp://ftp.kde.org/pub/kde/stable/kamoso/2.0.1/src/kamoso-2.0.1.tar.bz2
> Also afiestas going to fix license, so then I can add this pacth to 2.0.1 and
> change license to GPLv2+.
> So URL for now will be https://projects.kde.org/projects/kdereview/kamoso/?

Thanks!

For URL - I think the KDE project URL is better but it's going to change soon (hopefully) so I'm ok with kde-apps one too. It's up to you. Maybe use that kdereview one and comment it as TODO to be changed soon.

Please update package to 2.0.1 with the license fix and I'll approve this package, thanks.

Comment 18 nucleo 2011-05-20 19:44:22 UTC
Bad news:
1. license patch broken (build failed).
2. translations missing in 2.0.1 sources (but they are in 2.0.0-final).

Comment 19 nucleo 2011-05-29 12:29:37 UTC
I fixed typo in patch (the same fix as in git)
http://nucleo.fedorapeople.org/pkg-reviews/kamoso/2.0/kamoso-2.0-license-fix.patch

2.0-final have translations, so I decided to build it for now instead of 2.0.1.
License changed to GPLv2+.

Spec URL:
http://nucleo.fedorapeople.org/pkg-reviews/kamoso/2.0/kamoso.spec

SRPM URL:
http://nucleo.fedorapeople.org/pkg-reviews/kamoso/2.0/kamoso-2.0-1.fc15.src.rpm

$ rpmlint kamoso-2.0-1.fc15.i686.rpm kamoso-2.0-1.fc15.src.rpm kamoso-2.0-1.fc15.x86_64.rpm kamoso-debuginfo-2.0-1.fc15.i686.rpm kamoso-debuginfo-2.0-1.fc15.x86_64.rpm
kamoso.i686: W: spelling-error Summary(en_US) webcam -> web cam, web-cam, became
kamoso.i686: W: spelling-error %description -l en_US webcam -> web cam, web-cam, became
kamoso.i686: W: no-manual-page-for-binary kamoso
kamoso.i686: W: no-manual-page-for-binary kamosoPluginTester
kamoso.src: W: spelling-error Summary(en_US) webcam -> web cam, web-cam, became
kamoso.src: W: spelling-error %description -l en_US webcam -> web cam, web-cam, became
kamoso.x86_64: W: spelling-error Summary(en_US) webcam -> web cam, web-cam, became
kamoso.x86_64: W: spelling-error %description -l en_US webcam -> web cam, web-cam, became
kamoso.x86_64: W: no-manual-page-for-binary kamoso
kamoso.x86_64: W: no-manual-page-for-binary kamosoPluginTester
5 packages and 0 specfiles checked; 0 errors, 10 warnings.

Comment 20 nucleo 2011-05-30 20:45:12 UTC
In kamoso-2.0.2 fixed sources license and added translations.

Spec URL:
http://nucleo.fedorapeople.org/pkg-reviews/kamoso/2.0.2/kamoso.spec

SRPM URL:
http://nucleo.fedorapeople.org/pkg-reviews/kamoso/2.0.2/kamoso-2.0.2-1.fc15.src.rpm

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3101034

$ rpmlint kamoso-2.0.2-1.fc15.src.rpm kamoso-2.0.2-1.fc15.i686.rpm kamoso-2.0.2-1.fc15.x86_64.rpm kamoso-debuginfo-2.0.2-1.fc15.i686.rpm kamoso-debuginfo-2.0.2-1.fc15.x86_64.rpm
kamoso.src: W: spelling-error Summary(en_US) webcam -> web cam, web-cam, became
kamoso.src: W: spelling-error %description -l en_US webcam -> web cam, web-cam, became
kamoso.i686: W: spelling-error Summary(en_US) webcam -> web cam, web-cam, became
kamoso.i686: W: spelling-error %description -l en_US webcam -> web cam, web-cam, became
kamoso.i686: W: no-manual-page-for-binary kamoso
kamoso.i686: W: no-manual-page-for-binary kamosoPluginTester
kamoso.x86_64: W: spelling-error Summary(en_US) webcam -> web cam, web-cam, became
kamoso.x86_64: W: spelling-error %description -l en_US webcam -> web cam, web-cam, became
kamoso.x86_64: W: no-manual-page-for-binary kamoso
kamoso.x86_64: W: no-manual-page-for-binary kamosoPluginTester
5 packages and 0 specfiles checked; 0 errors, 10 warnings.

Comment 21 Jaroslav Reznik 2011-05-31 10:52:15 UTC
Thanks!

APPROVED

Comment 22 nucleo 2011-05-31 11:56:28 UTC
Thank you, Jaroslav, for the review.

New Package SCM Request
=======================
Package Name: kamoso
Short Description: Application for taking pictures and videos from a webcam
Owners: nucleo
Branches: f14 f15
InitialCC:

Comment 23 Jason Tibbitts 2011-05-31 19:15:09 UTC
Git done (by process-git-requests).

Comment 24 Fedora Update System 2011-05-31 19:49:33 UTC
kamoso-2.0.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kamoso-2.0.2-1.fc15

Comment 25 Fedora Update System 2011-05-31 19:50:09 UTC
kamoso-2.0.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/kamoso-2.0.2-1.fc14

Comment 26 Fedora Update System 2011-06-02 19:01:37 UTC
kamoso-2.0.2-1.fc15 has been pushed to the Fedora 15 testing repository.

Comment 27 Fedora Update System 2011-06-07 04:37:45 UTC
kamoso-2.0.2-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 28 Fedora Update System 2011-06-11 04:32:35 UTC
kamoso-2.0.2-1.fc14 has been pushed to the Fedora 14 stable repository.


Note You need to log in before you can comment on or make changes to this bug.